Loading...
Searching...
No Matches
Audio playback and recording implementation
Internal implementation detail

Implementation support found in `playrec.cpp`. More...

Collaboration diagram for Audio playback and recording implementation:

## Classes

struct | Audio
| Base class for play/record state. More...
struct | Play
| `Audio` playback state data More...
struct | Record
| `Audio` recording state data More...
struct | PLAY_FILE_ASYNC_ARGS
| Data for `play_file_async_thread()`. More...
struct | RECORD_FILE_ASYNC_ARGS
| Data for `record_file_async_thread()`. More...

## Macros

#define | PLAYREC_WAV 0
#define | PLAYREC_VOX 1
#define | PLAYREC_SYNC 0
#define | PLAYREC_ASYNC 1
#define | REC_DLY 2500

## Variables

static List | Play::list
| Container for a list of playback states.
static List | Record::list
| Container for a list of recording states.

## Detailed Description

Implementation support found in `playrec.cpp`.